# Galleries by Angie Makes #

**Contributors:** cbaldelomar  
**Tags:** masonry gallery, pinterest style gallery, pinterest gallery, gallery slider, slider gallery, carousel gallery, carousel, slider, image links  
**Requires at least:** 3.7  
**Tested up to:** 4.7.3  
**Stable tag:** trunk  
**License:** GPLv2 or later  
**License URI:** http://www.gnu.org/licenses/gpl-2.0.html  

Extend WordPress galleries to display masonry gallery, carousel gallery, and slider gallery

## Description ##

The Galleries by Angie Makes plugin adds robust gallery features to your WordPress theme. These gallery options work flawlessly with [Angie Makes WordPress themes](http://angiemakes.com/feminine-wordpress-blog-themes-women/). This no-fuss plugin is perfect for Photographers, Creatives, and anyone else looking to display their site images in serious style.

# Demo #

See A DEMO of what You Can do With the Angie Makes Galleries Plugin Here:

[http://gentry.angiemakes.com/galleries/](http://gentry.angiemakes.com/galleries/)

# Features #

Here are just a few options the Angie Makes Galleries Plugin offers:

* Mosaic / Pinterest-esque Tiling Images
* Display Images in 1-9 Mosaic
* Tiling Columns
* Link Images to Internal or External Site Urls
* Carousel
* Slider
* Slider with Bottom Image Links

### Professional Support ###

We have tested this plugin to work with the latest version of WordPress, but do not offer individual troubleshooting support as this is a free plugin. If you need individual support, we're happy to assist you if you purchase our premium support by purchasing a premium, Angie Makes WordPress theme from [angiemakes.com](http://angiemakes.com).

## Installation ##

1. Uzip the `wc-gallery.zip` folder.
2. Upload the `wc-gallery` folder to your `/wp-content/plugins` directory.
3. In your WordPress dashboard, head over to the *Plugins* section.
4. Activate *WP Canvas - Gallery*.

## Frequently Asked Questions ##

### How do I use the shortcodes? ###

Insert a gallery through your dashboard. You will see extra dropdown settings when configuring your gallery.

[http://angiemakes.com/knowledgebase/gallery-plugin-overview/](http://angiemakes.com/knowledgebase/gallery-plugin-overview/)

### How do I fix HTTP error code when uploading media? ###

[http://angiemakes.com/knowledgebase/how-to-fix-http-error-code-when-uploading-media/](http://angiemakes.com/knowledgebase/how-to-fix-http-error-code-when-uploading-media/)

### Where can I get more help? ###

For more tutorials on our gallery plugin, go to our knowledge base.

[http://angiemakes.com/knowledgebase/category/plugins/gallery/](http://angiemakes.com/knowledgebase/category/plugins/gallery/)

### How can I disable extra image sizes and thumbnails from being generated? ###

[http://angiemakes.com/knowledgebase/how-to-disable-extra-image-sizes-and-thumbnails-from-being-generated/](http://angiemakes.com/knowledgebase/how-to-disable-extra-image-sizes-and-thumbnails-from-being-generated/)

## Changelog ##

### Version 1.63 ###

* added grid display

### Version 1.62 ###

* disabled jetpack gallery message when plugin is activated

### Version 1.61 ###

* Updated WPC Settings Framework to 1.0.7

### Version 1.60 ###

* Updated WPC Settings Framework to 1.0.6

### Version 1.59 ###

* fixing image count when flexslider clones exist.

### Version 1.58 ###

* removed wcs-trigger check

### Version 1.57 ###

* Updated WPC Settings Framework to 1.0.5
* removed woocommerce product gallery option
* fixed bug when muliple galleries were not loading libraries in correct order.

### Version 1.56 ###

* More elegant loading of masonry gallery images.
* Updated brand name.

### Version 1.55 ###

* Fixed bug with large galleries stacking images
* Updated imagesLoaded Package to version 4.1.1

### Version 1.54 ###

* removed ellipsis

### Version 1.53 ###

* updated wpc settings framework to version 1.0.2

### Version 1.52 ###

* updated owl carousel 2.1.4
* updated flexslider 2.6.1
* updated flexslider to 2.6.1
* updated magnificpopup to version 1.1.0
* updated images loaded library to 4.1.0
* Updated gallery js file
* CSS bug fixes
* remove deprecated carousel

### Version 1.50 ###

* added option to disable thumbnail generation
* admin style update
* adding settings link in plugin page

### Version 1.49 ###

* Single column galleries on mobile displays
* Always show captions on mobile displays

### Version 1.48 ###

* Added new caption option: Show On Image Pop-up

### Version 1.47 ###

* Hide masonry gallery by default in CSS

### Version 1.46 ###

* Fixed bug with masonry being randomely sorted

### Version 1.43 ###

* Masonry gallery items now loads in series when each image is loaded
* Removed text from nav buttons in owl carousel.
* Moved flexslider and owl carousel to vendors folder
* Wait for images to load before calling flexslider.

### Version 1.41 ###

* Updated Owl Carousel
* Updated Flexslider
* Fixed bug with bottom image links not responding correctly on mobile devices

### Version 1.40 ###

* Updated images loaded library to 3.1.8

### Version 1.39 ###

* Fixed bug with masonry shifting when container width was a decimal number

### Version 1.38 ###

* Show gallery captions on image links when viewing mobile devices
* Better slider and fade animation

### Version 1.37 ###

* Fixed flicker blug with slider in chrome

### Version 1.35 ###

* fixed bug with hide control option not being applied to flex slider
* fixed style bug with dynamic height content

### Version 1.30 ###

* Fixed bug with captions displaying when there are not any
* Updated magnific popup gallery
* Fixed bug with update in settings framework
* Code clean up
* Updated owl carousel
* Rearranged gallery options
* enabled smooth height
* Updated flexslider library

### Version 1.29 ###

* Added Image size identifier for easy reference

### Version 1.28 ###

* Removed loading of widgets file
* Updated options panel with settings framework
* Fixed style bug with magnific popup
* Updated Magnific Popup Library
* FIxed bug with gallery insertion option not being referenced correctly

### Version 1.27 ###

* Removed 'Image Size' from gallery option since WordPress includes it by default now.

### Version 1.26 ###

* Added position number and attachment id class name to gallery items

### Version 1.25 ###

* Now wrapping caption with href value in image links

### Version 1.24 ###

* Updated and customized flexslider library
* supporting lightbox for WooCommerce galleries
* code clean up

### Version 1.22 ###

* Gallery captions and image sizes now are the same width
* Fixed style bug in gallery caption

### Version 1.21 ###

* minor style update fix for previous version

### Version 1.20 ###

* Galleries now work inside WC Shortcodes accordion, tabs, and toggle shortcodes
* Added gallery support for infinite scroll
* caption only display on one line now.
* Gallery now defaults to show captions on image hover
* removed duplicate call to admin.js

### Version 1.19 ###

* Updated image popup library
* Made all own carousels to loop back to beginning when end is reached

### Version 1.18 ###

* Added option to open images in new tab

### Version 1.17 ###

* Bug fix

### Version 1.16 ###

* Bug fix on checking for defined images sizes

### Version 1.15 ###

* Removed Transition Styles

### Version 1.14 ###

* Fixed broken HTML tag

### Version 1.13 ###

* added overflow hidden to captions

### Version 1.12 ###

* Use masonry library provided by WordPress
* loading jquery before masonry
* Added image sizes
* Replaced percentage gutter width with pixel value.
* Added Owl Carousel
* Added 2 more slider displays

### Version 1.11 ###

* Fixed a very obscure bug that kept image sizes from displaying.
* removed rel tag

### Version 1.10 ###

* Made an update to the responsive behavior of galleries

### Version 1.9 ###

* HTML5 compliant gallery structure

### Version 1.8 ###

* Fixed bug where custom links only worked when link was set to media
* Added option to disable integrated popup script
* updated masonry library
* Fixed permission bug with options

### Version 1.7 ###

* Updated magnific popup script
* Fixed bug with vertical scroll bar appearing in pop up image

### Version 1.6 ###

* Fixed bug with masonry gallery not resizing defined widths and heights on images

### Version 1.5 ###

* Enhanced Gallery Options

### Version 1.4 ###

* Better positioning of directional arrows

### Version 1.3 ###

* Much improved masonry gallery
* Much improved slider gallery
* Added option for fade or slide in slider
* Fixed firefox bug with width percentage
* More options added in media panel
* CSS improvements

### Version 1.2 ###

* Removed fancybox and added another image popup library with a friendly license.

### Version 1.1 ###

* Plugin released.  Everything is new!
